> ## Documentation Index
> Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List MaterializedSegment

> List all materialized segments.



## OpenAPI

````yaml /api/flags/api/materialized-segments.openapi.json get /v1/materializedSegments
openapi: 3.1.0
info:
  title: Confidence Materialized-segments API
  version: 1.0.0
  description: API documentation for materialized-segments
servers: []
security: []
paths:
  /v1/materializedSegments:
    get:
      summary: List MaterializedSegment
      description: List all materialized segments.
      operationId: MaterializedSegment.list
      parameters:
        - name: pageSize
          in: query
          required: false
          description: The maximum number of materialized segments to fetch.
          schema:
            type: object
        - name: pageToken
          in: query
          required: false
          description: Token used for pagination.
          schema:
            type: string
        - name: filter
          in: query
          required: false
          description: >-
            Filter to apply to the materialized segments. This follows the
            lucene query string format
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/confidence.flags.admin.v1.ListMaterializedSegmentsResponse
      security:
        - admin: []
      servers:
        - url: https://flags.eu.confidence.dev
        - url: https://flags.us.confidence.dev
        - url: https://flags.confidence.dev
components:
  schemas:
    confidence.flags.admin.v1.ListMaterializedSegmentsResponse:
      title: ListMaterializedSegmentsResponse
      type: object
      description: The returned list of rules.
      properties:
        materializedSegments:
          type: array
          items:
            $ref: '#/components/schemas/confidence.flags.admin.v1.MaterializedSegment'
          description: >-
            [MaterializedSegment](/api-reference/schemas/materializedsegment):
            The list of materialized segments.
        nextPageToken:
          type: string
          description: >-
            A token that can be used to fetch more materializations, empty if no
            more materializations
             are available.
      required:
        - materializedSegments
    confidence.flags.admin.v1.MaterializedSegment:
      title: MaterializedSegment
      type: object
      description: >-
        A slice of the entity population that has is materialized as individual
        entity identifiers stored in a database.
         Useful for segmenting a large list of entities that cannot otherwise be easily targeted through evaluation context.
      properties:
        name:
          type: string
          description: |-
            The resource name of the materialized segment.
             For example:
             `materializedSegment/0smva5nxuhv4yts6paxt`
        displayName:
          type: string
          description: A human-friendly name for the segment.
        labels:
          type: array
          items:
            type: object
            additionalProperties:
              type: string
          description: General labels for this resource.
        createTime:
          type: object
          description: Time when the segment was first created.
        updateTime:
          type: object
          description: Time when the segment was last updated.
        creator:
          type: string
          description: Reference to the identity that created this segment.
        updater:
          type: string
          description: Reference to the identity that last updated this segment.
        owner:
          type: string
          description: The owner of the resource. If not set will default to the creator.
      required:
        - displayName
        - createTime
        - updateTime
        - creator
        - updater
  securitySchemes:
    admin:
      type: http
      scheme: bearer

````